body {
  background-color: #f2f2f2;
  font-family: 'Piazzolla', serif;
  font-weight: 300;
  margin: 0;
  padding: 0;
}
header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 0 auto 32px;
  position: sticky;
  top: 0;
  padding: 8px;
  background-color: rgba(242, 242, 242, 0.7);
  max-width: 800px;
}
header + section {
  display: flex;
  max-width: 700px;
  width: 90vw;
  margin: 0 auto;
}

#logo {
  display: block;
  width: 186px;
  height: 200px;
  background-image: url(img/logo-200-pion.png);
  color: transparent;
}

.cover {
  width: 100%;
  height: auto;
}

#main, #calendar {
  flex-flow: row-reverse nowrap;
}

#faq {
  flex-flow: column nowrap;
}

header + section > article {
  padding: 0 16px;
}

header + section > article > h1 {
  margin-top: 0;
  font-family: 'Glory';
  font-weight: 100;
  font-size: 32px;
}

article > p:first-of-type {
  margin-top: 0;
}
article > p {
  text-align: justify;
}

.okladka {
  display: block;
  aspect-ratio: auto 300 / 450;
}
.separator {
  text-align: center;
}
footer {
  text-align: center;
  margin-top: 16px;
}

dd {
  margin-top: 16px;
}
h1 + h2 {
  text-align: center;
  margin-top: -32px;
}
blockquote {
  background-color: #eee;
  border: 1px solid black;
  border-radius: 10px;
  padding: 0 16px;
  font-style: italic;
}
.floated-left {
    width: 50%;
    float: left;
    margin: 12px;
    margin-left: 0;
}

.floated-right {
    width: 50%;
    float: right;
    margin: 12px;
    margin-right: 0;
}
/**
 * Menu
 */

 .menu > span {
  display: block;
  width: 28px;
  height: 3px;
  margin-bottom: 5px;
  position: relative;
  background: #bc7d87;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

.menu > span:first-child { transform-origin: 0% 0%; }
.menu > span:nth-last-child(2) { transform-origin: 0% 100%; }
.menu > input[type=checkbox]:checked ~ span {
  opacity: 1;
  transform: rotate(45deg);
}
.menu > input[type=checkbox]:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg);
}
.menu > input[type=checkbox]:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.1, 0.1);
}

#options {
  position: fixed;
  list-style-type: none;
  left: 0px;
  top: -16px;
  opacity: 0;
  background-color: rgba(255, 255, 255, 0.9);
  height: 100vh;
  overflow: hidden;
  box-sizing: border-box;
  box-shadow: 2px 0 12px #999;
  padding: 48px;
  text-align: center;
  pointer-events: none;
}

.menu input[type=checkbox] {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
  width: 35px;
  height: 35px;
  top: 2px;
  left: 4px;
}

.menu input[type=checkbox]:checked ~ #options {
  opacity: 1;
  transition: opacity .5s ease-out;
}

#options li {
  cursor: pointer;
  transition: background-color .5s ease-in-out;
  border-radius: 5px;
  padding: 4px 8px;
  margin-bottom: 12px;
  pointer-events: all;
}
#options li:hover {
  background-color: #e2e2e2;
  transition: background-color .5s ease-in-out;
}
#options li a {
  display: block;
  text-decoration: none;
  color: black;
}

.socials {
  display: flex;
  flex-flow: row nowrap;
  gap: 8px;
}

.socials img {
  filter: invert(50%)
}

/**
 * FAQ
 */
dl {
  padding-top: 24px;
}
dt { font-weight: 400; }
#faq .separator {
  margin: 16px auto;
}
#faq p {
  text-align: justify;
}

/**
 * Formularz kontaktowy
 */
.contact {
  display: flex;
  flex-flow: column nowrap;
  gap: 4px;
}
.contact button[type=submit] {
  align-self: flex-start;
}
.contact :is(label, button[type=submit]) {
  margin-top: 12px;
}

.contact :is(input, button, textarea) {
  background-color: #f6f6f6;
  border: solid 1px #c2c2c2;
  border-radius: 5px;
  font-size: 1.2em;
}

.contact :is(input, button, textarea) + .error-message {
  display: none;
}

.contact :is(input, button, textarea):invalid + .error-message {
  display: block;
  font-size: 0.9em;
  text-align: right;
}

.contact textarea {
  height: 6em;
}

.contact button[type=submit] {
  display: block;
  background-color: #bc7d87;
  padding: 12px;
  text-transform: uppercase;
  color: #f2f2f2;
  cursor: pointer;
}


header + section#blog {
  max-width: 900px;
}

#blog {
  gap: 5px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

#blog .post {
  width: 230px;
  box-sizing: border-box;
  justify-self: center;
}

#blog .post h2 {
  font-size: 1.2em;
}

header + section#post > article > h1 {
  margin-top: revert;
  text-align: center;
  font-weight: bold;
}

#post .date {
  text-align: center;
  margin-top: 12px;
}

#post img.separator {
  display: block;
  margin: 6px auto;
  text-align: unset;
}